
Katello - Bug #24373

No breadcrumb for Lifecycle Environments

07/24/2018 01:41 PM - Andrew Kofink

Status: Closed   

Priority: Low   

Assignee:    

Category:    

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: Katello 3.8.0

Bugzilla link: 1607889 Red Hat JIRA:  

Pull request:    

Description

The Lifecycle Environment pages don't have breadcrumbs (see screenshot).

Reproduce:

Navigate to a Lifecycle Environment

Actual:

No breadcrumb

Expected:

A breadcrumb allows users to return to the index page, or switch to a different LE show page directly, like all other breadcrumbs in

Katello.

History

#1 - 07/24/2018 01:42 PM - Andrew Kofink

- Bugzilla link set to 1607889

#2 - 07/24/2018 02:24 PM - Thomas McKay

A partial fix is already in code via https://projects.theforeman.org/issues/23390

In order for the data to populate breadcrumbs to be present, the index page must be visited. Going directly to a specific environment (try reloading the

page once on an env) and the breadcrumb switcher will not work.

Suggest that this issue be closed or put off until the page is moved to react. There is an outstanding suggestion that the environment index page be

redesigned.

#3 - 07/24/2018 02:48 PM - Andrew Kofink

- Priority changed from Normal to Low

This issue will most likely be backlogged anyway, since it's not a high priority issue. It'll most likely get fixed with the conversion of this page to React,

as you said.

#4 - 07/25/2018 06:22 PM - Andrew Kofink

- Status changed from New to Closed

- Target version set to Katello Recycle Bin

- Triaged changed from No to Yes

This seems to be fixed.
